<?php
/*
APPLICATION ATELIERPHP-e-signets - version 3.4	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
require("../fonctions/fonction_mysql_die.php");
include("../classes/ajout_groupe_classe_validation.php");
require("../fonctions/fonction_ajout_groupe.php");
?>
<html>
<head>
<title>e_signets version <?php  echo $version ?> Liste des catégories</title>
<META http-equiv="Content-Language" content="fr">
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<?php
// inclusion de la classe class
// création d'un object: instanciation de la classe
$objValidation = new classFormValidation();
// validation de chaque champ
//catégorie
$objValidation->verif_categorie_1("Categorie", 
"Il ne peut y avoir deux catégories portant le même nom dans la base",$_POST['category_name']); 
$flag_categorie = false;

$objValidation->verif_categorie_2("Categorie", 
"Cette valeur ne peut être vide",$_POST['category_name']); 
$flag_categorie = false;

//groupe
$objValidation->verif_groupe_1("Groupe", 
"Il ne peut y avoir deux groupes portant le même nom dans la base",$_POST['group_name']); 
$flag_groupe = false;
$objValidation->verif_groupe_2("Groupe", 
"Cette valeur ne peut être vide",$_POST['group_name']); 
$flag_groupe = false;

if ($objValidation->isError())
{
    $errors = $objValidation->_errorList;
    echo "<b>L'opération n'a pas pu être effectuée : ";
    echo "<ul>";
    foreach ($errors as $e)   
    {
        echo "<li> La valeur du champ <b>" .'"'. 
        $e['field']."</b>".'"'." que vous avez saisi (".
        $e['value'].") n'est pas valide :".$e['msg']."<p>";            
        ($e['field'] == "nom")?$flag_nom = true : print "";
        ($e['field']=="prenom")?$flag_prenom=true:print "";
    }   
    echo "</ul>";
	  isset($_POST['category_name_flag'])? print "" : $_POST['category_name_flag'] = "";
	  isset($_POST['group_name_flag'])? print "" : $_POST['group_name_flag'] = "";
    require("../fonctions/fonction_ajout_groupe_form.php");
    add_group_form($_POST['group_name'], 
							      $_POST['category_name'], 
							      $_POST['category_description'], 
									  $_POST['category_group_private_flag'], 
						 				$_POST['category_group_column_number'], 
										$_POST['group_name_flag']);
}
else
{
    // traitement des données
    	$group_name = ($_POST['group_name']);
			$category_name = ($_POST['category_name']);
			$category_description = ($_POST['category_description']);
			$category_group_private_flag = ($_POST['category_group_private_flag']);
			$category_group_column_number = ($_POST['category_group_column_number']);
			create_group($group_name, $category_name, $category_description , 
					$category_group_private_flag,$category_group_column_number );
      if (isset($_SESSION['install_err_status']) and $_SESSION['install_err_status']==6)
      {
       	   $sql_2 = "SELECT * FROM $ep_category_tablename";
           $result_2 = mysql_query($sql_2);
           $nb_records = mysql_num_rows($result_2);       	   
           if ($nb_records > 0)  
           {
            print "<p></p><a href=../signets_lire/signets_lire.php><font color=green>Groupe et catégorie insérés, poursuivre l'installation ...  </a></font><p>";
           }
      }
      else
      {
        print "<p></p><a href=../signets_ajout/ajout_signet_1.php>Ajouter un signet </a><p><p>";
        print "<p></p><a href=../admin/admin_utilisateur.php>Accès menu d'administration utilisateur </a><p>";
        print "<p></p><a href=../signets_lire/signets_lire.php>Consulter les signets </a><p><p>";
      }
}
require ("../pied_de_page/pied_de_page.php");
?>
