<?php
/*
APPLICATION ATELIERPHP-e-signets - version 3.4	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
require("../fonctions/fonction_mysql_die.php");
require ("../fonctions/fonction_coupe_texte.php");
require ("../fonctions/fonction_is_utf8.php");
?>
<html>
<head>
<title>e-signets version <?php echo $version ?> Ajout signet</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<?php
echo "<H2>Ajouter un site  (suite)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=../aide.html#_rajouter><small>Aide</small></a></h2>";
if (isset($_REQUEST['bad_url']))
{
		$url = trim($_POST['url']) ;
		require ("../fonctions/fonction_charge_categories.php");
		charge_categories($ep_category_tablename, $ep_url_tablename);
		require ("../fonctions/fonction_formulaire_ajout_modif.php");
		!isset($flag_url)? $flag_url="" : print "";

		!isset($url_category_id)? $url_category_id ="" : print "";
		!isset($flag_url_category_id)? $flag_url_category_id ="" : print "";

		!isset($url_title)? $url_title ="" : print "";
		!isset($flag_url_title)? $flag_url_title = "" : print "";

		!isset($url_sub_title)? $url_sub_title = "" : print "";
		!isset($flag_url_sub_title)? $flag_url_sub_title = "" : print "";

		!isset($url_description)? $url_description = "" : print "";
		!isset($flag_url_description)? $flag_url_description = "" : print "";

		!isset($url_hidden_description)? $url_hidden_description = "" : print "";
		!isset($flag_url_hidden_description)? $flag_url_hidden_description = "" : print "";

    formulaire_ajout_modif(	$list_category,$list_category_id,
								$url, 					    $flag_url,
								$url_category_id,       	$flag_url_category_id,
								$url_title, 			  	$flag_url_title,
								$url_sub_title,		      	$flag_url_sub_title,
								$url_description,	      	$flag_url_description,
								$url_hidden_description,	$flag_url_hidden_description) ;								
		require ("../pied_de_page/pied_de_page.php");
exit();
}
if (isset($_REQUEST['submit_load']))
{
	$url = trim($_POST['url']) ;
	/*
	if (substr($url,0,4) != "http")
		{
			$url = "http://".$url;
		}
	*/
	error_reporting(E_ERROR  | E_PARSE); 
	ini_set('max_redirects', 20);
	if (fopen($url,'r'))
	{
		$fp = fopen($url,'r'); 
		$pointer = 0;
		$flag_url_hidden_description = "";
		$flag_url_description = "";
		$flag_url_sub_title = "";
		//construction du nom du site à partir de l'URL
		if (strpos($url, "www"))
		{
			$end_url = substr($url,11,strlen($url));
			strpos($end_url,'/')>0 ? $end_pos = strpos($end_url,'/') : $end_pos = strlen($end_url); 
			$url_title = ucfirst(substr($end_url,0,$end_pos));
		}
		else
		{
			$end_url = substr($url,7,strlen($url));
			strpos($end_url,'/') ? $end_pos = strpos($end_url,'/') : $end_pos = strlen($end_url); 
			$url_title =  ucfirst(substr($end_url,0,$end_pos));
		}
		(!is_utf8($url_title))?$url_title = utf8_encode($url_title):print "";
		$url_title = fonction_coupe_texte($url_title);  // on enlève tout ce qui est après > ou < et & devient ,		
		//feof indiquera la fin du fichier
		//le fichier est parcouru jusqu'àu break
		while(!feof($fp)) 
		{
		    $pointer ++ ;
        $flag_iso = 0 ;
		    //lecture du fichier, stockage dans $ligne
		    $ligne =(strtolower(fgets($fp)));
		    //$ligne = mb_convert_encoding($ligne , "UTF-8", "ISO-8859-1" );
		    //recherche de la description
		    if (strpos($ligne, "name") and strpos($ligne,"description") and strpos($ligne,"content"))
		    {
				$url_description = (ucfirst(trim(strtr(substr($ligne,
					strpos($ligne, "content")+8,strlen($ligne)- strpos($ligne, "content")-10),'"'," "))));
        //$url_description = utf8_encode($url_description) ;
		    (!is_utf8($url_description))?$url_description = utf8_encode($url_description):print "";
				$url_description = fonction_coupe_texte($url_description);  // on enlève tout ce qui est après > ou < et & devient ,
				$flag_url_description = 1;
			  }
		    //recherche des mots clés
		    if (strpos($ligne, "name") and strpos($ligne,"keywords") and strpos($ligne,"content"))
		    {
				$url_hidden_description = (trim(strtr(substr($ligne,strpos($ligne, "content")+8,strlen($ligne)- strpos($ligne, "content")-10),'"'," ")));
        $url_hidden_description = utf8_encode($url_hidden_description) ;
				$url_hidden_description = fonction_coupe_texte($url_hidden_description);  // on enlève tout ce qui est après > ou < et & devient ,
				$flag_url_hidden_description = 1;
			  }
		    if (strpos($ligne, "title") and strpos($ligne, "/title"))
		    {
		    $sub_title_lengh = abs(strpos($ligne, "/title") - strpos($ligne, "title")-6);
				$url_sub_title = ucfirst(trim(substr($ligne,strpos($ligne,"title")+6,$sub_title_lengh)));
        $url_sub_title = utf8_encode($url_sub_title) ;
				$url_sub_title = fonction_coupe_texte($url_sub_title);  // on enlève tout ce qui est après > ou < et & devient ,
				$flag_url_sub_title = 1;
			  }
			if (($flag_url_description == 1 and $flag_url_hidden_description == 1 and $flag_url_sub_title==1) or $pointer==500)
			{
				break;
			}
		}
		fclose($fp); 		
		require ("../fonctions/fonction_charge_categories.php");
		charge_categories($ep_category_tablename, $ep_url_tablename);
		require ("../fonctions/fonction_formulaire_ajout_modif.php");
		formulaire_ajout_modif(	$list_category,
                $list_category_id,
								$url, 					        $flag_url,
								$url_category_id, 	  	$flag_url_category_id,
								$url_title, 			      $flag_url_title,
								$url_sub_title,		      $flag_url_sub_title,
								$url_description,		    $flag_url_description,
								$url_hidden_description,$flag_url_hidden_description) ;
	}
	else // url invalide suite du if($fp)
	{
		    (isset($_POST['url']) and strlen($_POST['url'] <7 ))  ? print "<font color=red><big>L'adresse du site semble invalide ou une redirection empêche de lire la page!</big></font>":print "";
			?>
			<FORM NAME='url' METHOD='POST' ACTION=../signets_ajout/ajout_signet_2.php>
			<INPUT TYPE="hidden" NAME="bad_url" VALUE =<?php echo '"'.$_POST['url'].'"' ?> >
			<INPUT TYPE="hidden" NAME="url" VALUE =<?php echo '"'.$_POST['url'].'"' ?> >
			<INPUT TYPE="SUBMIT" VALUE="Passer cette étape" NAME="submit_load">
			<?php
	}
require ("../pied_de_page/pied_de_page.php");
}   
?> 
<?php 
/**
  * UTF-8 friendly replacement functions - v0.2
  * Copyright (C) 2004-2005 Niels Leenheer & Andy Matsubara
  *
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
  * (see nucleus/documentation/index.html#license for more info)
  *
  *	Supported functions:
  * - UTF8::convert()
  * - UTF8::strtolower()
  * - UTF8::strtoupper()
  * - UTF8::strlen()
  * - UTF8::strwidth()
  * - UTF8::substr()
  * - UTF8::strimwidth()
  * - UTF8::strcut()
  * - UTF8::strrpos()
  * - UTF8::strpos()
  * - UTF8::substr_count()
  * - UTF8::encode_mimeheader()
  * - UTF8::send_mail()
  * - UTF8::encode_javascript()
  * - UTF8::encode_numericentity()
  *
  */


	/**      
	 * Convert a foreign charset encoding to UTF-8
	 */
	function convert($string, $encoding) {
	
		if (function_exists('iconv')) {
			return @iconv($encoding, 'UTF-8//IGNORE', $contents);
		}
	
		if (function_exists('mb_convert_encoding')) {
			@mb_substitute_character('none');
			return @mb_convert_encoding($contents, 'UTF-8', $encoding );
		}
		
		return $string;
	}
	
	/**      
	 * Determine the number of characters of a string
	 * Compatible with mb_strlen(), an UTF-8 friendly replacement for strlen()
	 */
	function strlen_($str) {
		return preg_match_all('/[\x01-\x7F]|[\xC0-\xDF][\x80-\xBF]|[\xE0-\xEF][\x80-\xBF][\x80-\xBF]/', $str, $arr);
	}
	
	/**      
	 * Count the number of substring occurances
	 * Compatible with mb_substr_count(), an UTF-8 friendly replacement for substr_count()
	 */
	function substr_count_($haystack, $needle) {
		return substr_count($haystack, $needle);
	}
	
	/**      
	 * Return part of a string, length and offset in characters
	 * Compatible with mb_substr(), an UTF-8 friendly replacement for substr()
	 */
	function substr_($str, $start , $length = NULL) {
		preg_match_all('/[\x01-\x7F]|[\xC0-\xDF][\x80-\xBF]|[\xE0-\xEF][\x80-\xBF][\x80-\xBF]/', $str, $arr);
	
		if (is_int($length))
			return implode('', array_slice($arr[0], $start, $length));
		else
			return implode('', array_slice($arr[0], $start));
	}
	
	/**      
	 * Return part of a string, length and offset in bytes
	 * Compatible with mb_strcut()
	 */
	function strcut($str, $start, $length = NULL) {
		if ($start < 0)	$start += strlen($str);
	
		$original = $start;
	
		while ($start > 0 && intval(ord($str[$start]) & 0xC0) == 0x80) 
			$start--;
	
		$start = max($start, 0);
		$original = max($original, 0);
	
		if ($start < strlen($str))
		{
			if (is_null($length)) {
				return substr($str, $start);
			}
			elseif ($length > 0) {
				$end = $start + $length;
	
				while ($end > 0 && intval(ord($str[$end]) & 0xC0) == 0x80) 
					$end--;
					
				return substr($str, $start, $end - $start);
			}
			elseif ($length < 0) {
				$end = strlen($str) + $length - ($original - $start);
	
				while ($end > 0 && intval(ord($str[$end]) & 0xC0) == 0x80) 
					$end--;
				
				if ($end > 0)
					return substr($str, $start, $end - $start);
			}
		}
		
		return '';
	}
	
	/**      
	 * Determine the width of a string
	 * Compatible with mb_strwidth()
	 */
	function strwidth($str) {
		$double = preg_match_all('/[\xE2-\xEF][\x80-\xBF][\x80-\xBF]/', $str, $arr) - 			// U+2000 - U+FFFF = double width
				  preg_match_all('/\xEF\xBD[\xA1-\xBF]|\xEF\xBE[\x80-\x9F]/', $str, $arr);		// U+FF61 - U+FF9F = single width
		$null   = preg_match_all('/[\x00-\x19]/', $str, $arr);									// U+0000 - U+0019 = no width
		
		return UTF8::strlen($str) - $null + $double;
	}
	
	/**      
	 * Get truncated string with specified width
	 * Compatible with mb_strimwidth()
	 */
	function strimwidth($str, $start, $width, $trimmarker = '') {
	
		$str   = UTF8::substr($str, $start);
		$width = $width - UTF8::strwidth($trimmarker);
		
		for ($i = 0; $i < strlen($str); $i++)
		{
			$b1 = (int)ord($str[$i]);
	
			if ($b1 < 0x80 || $b1 > 0xBF)
			{
				$c++;
	
				if ($b1 > 0xE2) 
				{
					$b2 = (int)ord($str[$i + 1]);
					$b3 = (int)ord($str[$i + 2]);
					
					if (($b2 == 0xBD && $b3 >= 0xA1) || ($b2 == 0xBE && $b3 <= 0x9F))
						$count++;
					else
						$count = $count + 2;
				}
				else
					$count++;
			}
			
			if ($count > $width) {
				return UTF8::substr($str, 0, $c - 1) . $trimmarker;
			}
		}	
	}
	
	/**      
	 * Find position of last occurance of a string in another string
	 * Compatible with mb_strrpos(), an UTF-8 friendly replacement for strrpos()
	 */
	function strrpos_($haystack, $needle) {
		$pos = strrpos($haystack, $needle);
	
		if ($pos === false) 
			return false;
		else
			return UTF8::strlen(substr($haystack, 0, $pos));
	}
	
	/**      
	 * Find position of first occurance of a string in another string
	 * Compatible with mb_strpos(), an UTF-8 friendly replacement for strpos()
	 */
	function strpos_($haystack, $needle, $offset = 0) {
		$comp = 0;
		
		while (!isset($length) || $length < $offset) 
		{
			$pos = strpos($haystack, $needle, $offset + $comp);
			if ($pos === false) return false;
			$length = utf_strlen(substr($haystack, 0, $pos));
			if ($length < $offset) $comp = $pos - $length;
		}
		
		return $length;
	}
	
	/**      
	 * Convert a string to lower case
	 * Compatible with mb_strtolower(), an UTF-8 friendly replacement for strtolower()
	 */
	function strtolower_($str) {
		global $UTF8_TABLES;
		return strtr($str, $UTF8_TABLES['strtolower']);
	}
	
	/**      
	 * Convert a string to upper case
	 * Compatible with mb_strtoupper(), an UTF-8 friendly replacement for strtoupper()
	 */
	function strtoupper_($str) {
		global $UTF8_TABLES;
		return strtr($str, $UTF8_TABLES['strtoupper']);
	}
	
	/**      
	 * Encode a string for use in a MIME header
	 * Simplied replacement for mb_encode_mimeheader()
	 */
	function encode_mimeheader($str) {
		$length = 45; $pos = 0; $max = strlen($str);
		
		while ($pos < $max)
		{
			if ($pos + $length < $max) 
			{
				$adjust = 0;
				
				while (intval(ord($str[$pos + $length + $adjust]) & 0xC0) == 0x80) 
					$adjust--;
		
				$buffer .= ($buffer == '' ? '' : "?=\r\n =?UTF-8?B?") . base64_encode(substr($str, $pos, $length + $adjust));
				$pos = $pos + $length + $adjust;
			} 
			else 
			{
				$buffer .= ($buffer == '' ? '' : "?=\r\n =?UTF-8?B?") . base64_encode(substr($str, $pos));
				$pos = $max;
			}	
		}
		
		return '=?UTF-8?B?' . $buffer . '?=';
	}
	
	/**      
	 * Send mail
	 * Replacement for mb_send_mail(), an UTF-8 friendly replacement for mail()
	 */
	function send_mail($to, $subject, $message , $additional_headers = '', $additional_parameter = '') {
		$subject = UTF8::encode_mimeheader($subject);
		$message = chunk_split(base64_encode($message));
	
		$additional_headers = trim($additional_headers);
		
		if ($additional_headers != '')
			$additional_headers .= "\r\n";
		
		$additional_headers .=
			"Mime-Version: 1.0\r\n" . 
			"Content-Type: text/plain; charset=UTF-8\r\n" . 
			"Content-Transfer-Encoding: base64";
			
		@mail($to, $subject, $message, $additional_headers, $additional_parameter); 
	}
	
	/**      
	 * Prepare an UTF-8 string for use in JavaScript
	 */
	function encode_javascript($string)
	{
		$string = str_replace ('\\', '\\\\', $string);
		$string = str_replace ('"', '\\"', $string);
		$string = str_replace ("'", "\\'", $string);
		$string = str_replace ("\n", "\\n", $string);
		$string = str_replace ("\r", "\\r", $string);
		$string = str_replace ("\t", "\\t", $string);
		
		$len = strlen ($string);
		$pos = 0;
		$out = '';
			
		while ($pos < $len) 
		{
			$ascii = ord (substr ($string, $pos, 1));
			
			if ($ascii >= 0xF0) 
			{
				$byte[1] = ord(substr ($string, $pos, 1)) - 0xF0;
				$byte[2] = ord(substr ($string, $pos + 1, 1)) - 0x80;
				$byte[3] = ord(substr ($string, $pos + 2, 1)) - 0x80;
				$byte[4] = ord(substr ($string, $pos + 3, 1)) - 0x80;
	
				$char_code = ($byte[1] << 18) + ($byte[2] << 12) + ($byte[3] << 6) + $byte[4];
				$pos += 4;
			}
			elseif (($ascii >= 0xE0) && ($ascii < 0xF0)) 
			{
				$byte[1] = ord(substr ($string, $pos, 1)) - 0xE0;
				$byte[2] = ord(substr ($string, $pos + 1, 1)) - 0x80;
				$byte[3] = ord(substr ($string, $pos + 2, 1)) - 0x80;
	
				$char_code = ($byte[1] << 12) + ($byte[2] << 6) + $byte[3];
				$pos += 3;
			}
			elseif (($ascii >= 0xC0) && ($ascii < 0xE0)) 
			{
				$byte[1] = ord(substr ($string, $pos, 1)) - 0xC0;
				$byte[2] = ord(substr ($string, $pos + 1, 1)) - 0x80;
	
				$char_code = ($byte[1] << 6) + $byte[2];
				$pos += 2;
			}
			else 
			{
				$char_code = ord(substr ($string, $pos, 1));
				$pos += 1;
			}
	
			if ($char_code < 0x80)
				$out .= chr($char_code);
			else
				$out .=  '\\u'. str_pad(dechex($char_code), 4, '0', STR_PAD_LEFT);
		}
	
		return $out;	
	}			
	
	/**      
	 * Encode an UTF-8 string with numeric entities
	 * Simplied replacement for mb_encode_numericentity()
	 */
	function encode_numericentity($string)
	{
		$len = strlen ($string);
		$pos = 0;
		$out = '';
			
		while ($pos < $len) 
		{
			$ascii = ord (substr ($string, $pos, 1));
			
			if ($ascii >= 0xF0) 
			{
				$byte[1] = ord(substr ($string, $pos, 1)) - 0xF0;
				$byte[2] = ord(substr ($string, $pos + 1, 1)) - 0x80;
				$byte[3] = ord(substr ($string, $pos + 2, 1)) - 0x80;
				$byte[4] = ord(substr ($string, $pos + 3, 1)) - 0x80;
	
				$char_code = ($byte[1] << 18) + ($byte[2] << 12) + ($byte[3] << 6) + $byte[4];
				$pos += 4;
			}
			elseif (($ascii >= 0xE0) && ($ascii < 0xF0)) 
			{
				$byte[1] = ord(substr ($string, $pos, 1)) - 0xE0;
				$byte[2] = ord(substr ($string, $pos + 1, 1)) - 0x80;
				$byte[3] = ord(substr ($string, $pos + 2, 1)) - 0x80;
	
				$char_code = ($byte[1] << 12) + ($byte[2] << 6) + $byte[3];
				$pos += 3;
			}
			elseif (($ascii >= 0xC0) && ($ascii < 0xE0)) 
			{
				$byte[1] = ord(substr ($string, $pos, 1)) - 0xC0;
				$byte[2] = ord(substr ($string, $pos + 1, 1)) - 0x80;
	
				$char_code = ($byte[1] << 6) + $byte[2];
				$pos += 2;
			}
			else 
			{
				$char_code = ord(substr ($string, $pos, 1));
				$pos += 1;
			}
	
			if ($char_code < 0x80)
				$out .= chr($char_code);
			else
				$out .=  '&#'. str_pad($char_code, 5, '0', STR_PAD_LEFT) . ';';
		}
	
		return $out;	
	}			

/*******************************************************************************************************/

$UTF8_TABLES['strtolower'] = array(
	"ï¼º" => "ï½š",	"ï¼¹" => "ï½™",	"ï¼¸" => "ï½˜",
	"ï¼·" => "ï½—",	"ï¼¶" => "ï½–",	"ï¼µ" => "ï½•",
	"ï¼´" => "ï½”",	"ï¼³" => "ï½“",	"ï¼²" => "ï½’",
	"ï¼±" => "ï½‘",	"ï¼°" => "ï½",	"ï¼¯" => "ï½",
	"ï¼®" => "ï½Ž",	"ï¼­" => "ï½",	"ï¼¬" => "ï½Œ",
	"ï¼«" => "ï½‹",	"ï¼ª" => "ï½Š",	"ï¼©" => "ï½‰",
	"ï¼¨" => "ï½ˆ",	"ï¼§" => "ï½‡",	"ï¼¦" => "ï½†",
	"ï¼¥" => "ï½…",	"ï¼¤" => "ï½„",	"ï¼£" => "ï½ƒ",
	"ï¼¢" => "ï½‚",	"ï¼¡" => "ï½",	"â„«" => "Ã¥",
	"â„ª" => "k",	"â„¦" => "Ï‰",	"á¿»" => "á½½",
	"á¿º" => "á½¼",	"á¿¹" => "á½¹",	"á¿¸" => "á½¸",
	"á¿¬" => "á¿¥",	"á¿«" => "á½»",	"á¿ª" => "á½º",
	"á¿©" => "á¿¡",	"á¿¨" => "á¿ ",	"á¿›" => "á½·",
	"á¿š" => "á½¶",	"á¿™" => "á¿‘",	"á¿˜" => "á¿",
	"á¿‹" => "á½µ",	"á¿Š" => "á½´",	"á¿‰" => "á½³",
	"á¿ˆ" => "á½²",	"á¾»" => "á½±",	"á¾º" => "á½°",
	"á¾¹" => "á¾±",	"á¾¸" => "á¾°",	"á½¯" => "á½§",
	"á½®" => "á½¦",	"á½­" => "á½¥",	"á½¬" => "á½¤",
	"á½«" => "á½£",	"á½ª" => "á½¢",	"á½©" => "á½¡",
	"á½¨" => "á½ ",	"á½Ÿ" => "á½—",	"á½" => "á½•",
	"á½›" => "á½“",	"á½™" => "á½‘",	"á½" => "á½…",
	"á½Œ" => "á½„",	"á½‹" => "á½ƒ",	"á½Š" => "á½‚",
	"á½‰" => "á½",	"á½ˆ" => "á½€",	"á¼¿" => "á¼·",
	"á¼¾" => "á¼¶",	"á¼½" => "á¼µ",	"á¼¼" => "á¼´",
	"á¼»" => "á¼³",	"á¼º" => "á¼²",	"á¼¹" => "á¼±",
	"á¼¸" => "á¼°",	"á¼¯" => "á¼§",	"á¼®" => "á¼¦",
	"á¼­" => "á¼¥",	"á¼¬" => "á¼¤",	"á¼«" => "á¼£",
	"á¼ª" => "á¼¢",	"á¼©" => "á¼¡",	"á¼¨" => "á¼ ",
	"á¼" => "á¼•",	"á¼œ" => "á¼”",	"á¼›" => "á¼“",
	"á¼š" => "á¼’",	"á¼™" => "á¼‘",	"á¼˜" => "á¼",
	"á¼" => "á¼‡",	"á¼Ž" => "á¼†",	"á¼" => "á¼…",
	"á¼Œ" => "á¼„",	"á¼‹" => "á¼ƒ",	"á¼Š" => "á¼‚",
	"á¼‰" => "á¼",	"á¼ˆ" => "á¼€",	"á»¸" => "á»¹",
	"á»¶" => "á»·",	"á»´" => "á»µ",	"á»²" => "á»³",
	"á»°" => "á»±",	"á»®" => "á»¯",	"á»¬" => "á»­",
	"á»ª" => "á»«",	"á»¨" => "á»©",	"á»¦" => "á»§",
	"á»¤" => "á»¥",	"á»¢" => "á»£",	"á» " => "á»¡",
	"á»ž" => "á»Ÿ",	"á»œ" => "á»",	"á»š" => "á»›",
	"á»˜" => "á»™",	"á»–" => "á»—",	"á»”" => "á»•",
	"á»’" => "á»“",	"á»" => "á»‘",	"á»Ž" => "á»",
	"á»Œ" => "á»",	"á»Š" => "á»‹",	"á»ˆ" => "á»‰",
	"á»†" => "á»‡",	"á»„" => "á»…",	"á»‚" => "á»ƒ",
	"á»€" => "á»",	"áº¾" => "áº¿",	"áº¼" => "áº½",
	"áºº" => "áº»",	"áº¸" => "áº¹",	"áº¶" => "áº·",
	"áº´" => "áºµ",	"áº²" => "áº³",	"áº°" => "áº±",
	"áº®" => "áº¯",	"áº¬" => "áº­",	"áºª" => "áº«",
	"áº¨" => "áº©",	"áº¦" => "áº§",	"áº¤" => "áº¥",
	"áº¢" => "áº£",	"áº " => "áº¡",	"áº”" => "áº•",
	"áº’" => "áº“",	"áº" => "áº‘",	"áºŽ" => "áº",
	"áºŒ" => "áº",	"áºŠ" => "áº‹",	"áºˆ" => "áº‰",
	"áº†" => "áº‡",	"áº„" => "áº…",	"áº‚" => "áºƒ",
	"áº€" => "áº",	"á¹¾" => "á¹¿",	"á¹¼" => "á¹½",
	"á¹º" => "á¹»",	"á¹¸" => "á¹¹",	"á¹¶" => "á¹·",
	"á¹´" => "á¹µ",	"á¹²" => "á¹³",	"á¹°" => "á¹±",
	"á¹®" => "á¹¯",	"á¹¬" => "á¹­",	"á¹ª" => "á¹«",
	"á¹¨" => "á¹©",	"á¹¦" => "á¹§",	"á¹¤" => "á¹¥",
	"á¹¢" => "á¹£",	"á¹ " => "á¹¡",	"á¹ž" => "á¹Ÿ",
	"á¹œ" => "á¹",	"á¹š" => "á¹›",	"á¹˜" => "á¹™",
	"á¹–" => "á¹—",	"á¹”" => "á¹•",	"á¹’" => "á¹“",
	"á¹" => "á¹‘",	"á¹Ž" => "á¹",	"á¹Œ" => "á¹",
	"á¹Š" => "á¹‹",	"á¹ˆ" => "á¹‰",	"á¹†" => "á¹‡",
	"á¹„" => "á¹…",	"á¹‚" => "á¹ƒ",	"á¹€" => "á¹",
	"á¸¾" => "á¸¿",	"á¸¼" => "á¸½",	"á¸º" => "á¸»",
	"á¸¸" => "á¸¹",	"á¸¶" => "á¸·",	"á¸´" => "á¸µ",
	"á¸²" => "á¸³",	"á¸°" => "á¸±",	"á¸®" => "á¸¯",
	"á¸¬" => "á¸­",	"á¸ª" => "á¸«",	"á¸¨" => "á¸©",
	"á¸¦" => "á¸§",	"á¸¤" => "á¸¥",	"á¸¢" => "á¸£",
	"á¸ " => "á¸¡",	"á¸ž" => "á¸Ÿ",	"á¸œ" => "á¸",
	"á¸š" => "á¸›",	"á¸˜" => "á¸™",	"á¸–" => "á¸—",
	"á¸”" => "á¸•",	"á¸’" => "á¸“",	"á¸" => "á¸‘",
	"á¸Ž" => "á¸",	"á¸Œ" => "á¸",	"á¸Š" => "á¸‹",
	"á¸ˆ" => "á¸‰",	"á¸†" => "á¸‡",	"á¸„" => "á¸…",
	"á¸‚" => "á¸ƒ",	"á¸€" => "á¸",	"Õ–" => "Ö†",
	"Õ•" => "Ö…",	"Õ”" => "Ö„",	"Õ“" => "Öƒ",
	"Õ’" => "Ö‚",	"Õ‘" => "Ö",	"Õ" => "Ö€",
	"Õ" => "Õ¿",	"ÕŽ" => "Õ¾",	"Õ" => "Õ½",
	"ÕŒ" => "Õ¼",	"Õ‹" => "Õ»",	"ÕŠ" => "Õº",
	"Õ‰" => "Õ¹",	"Õˆ" => "Õ¸",	"Õ‡" => "Õ·",
	"Õ†" => "Õ¶",	"Õ…" => "Õµ",	"Õ„" => "Õ´",
	"Õƒ" => "Õ³",	"Õ‚" => "Õ²",	"Õ" => "Õ±",
	"Õ€" => "Õ°",	"Ô¿" => "Õ¯",	"Ô¾" => "Õ®",
	"Ô½" => "Õ­",	"Ô¼" => "Õ¬",	"Ô»" => "Õ«",
	"Ôº" => "Õª",	"Ô¹" => "Õ©",	"Ô¸" => "Õ¨",
	"Ô·" => "Õ§",	"Ô¶" => "Õ¦",	"Ôµ" => "Õ¥",
	"Ô´" => "Õ¤",	"Ô³" => "Õ£",	"Ô²" => "Õ¢",
	"Ô±" => "Õ¡",	"ÔŽ" => "Ô",	"ÔŒ" => "Ô",
	"ÔŠ" => "Ô‹",	"Ôˆ" => "Ô‰",	"Ô†" => "Ô‡",
	"Ô„" => "Ô…",	"Ô‚" => "Ôƒ",	"Ô€" => "Ô",
	"Ó¸" => "Ó¹",	"Ó´" => "Óµ",	"Ó²" => "Ó³",
	"Ó°" => "Ó±",	"Ó®" => "Ó¯",	"Ó¬" => "Ó­",
	"Óª" => "Ó«",	"Ó¨" => "Ó©",	"Ó¦" => "Ó§",
	"Ó¤" => "Ó¥",	"Ó¢" => "Ó£",	"Ó " => "Ó¡",
	"Óž" => "ÓŸ",	"Óœ" => "Ó",	"Óš" => "Ó›",
	"Ó˜" => "Ó™",	"Ó–" => "Ó—",	"Ó”" => "Ó•",
	"Ó’" => "Ó“",	"Ó" => "Ó‘",	"Ó" => "ÓŽ",
	"Ó‹" => "ÓŒ",	"Ó‰" => "ÓŠ",	"Ó‡" => "Óˆ",
	"Ó…" => "Ó†",	"Óƒ" => "Ó„",	"Ó" => "Ó‚",
	"Ò¾" => "Ò¿",	"Ò¼" => "Ò½",	"Òº" => "Ò»",
	"Ò¸" => "Ò¹",	"Ò¶" => "Ò·",	"Ò´" => "Òµ",
	"Ò²" => "Ò³",	"Ò°" => "Ò±",	"Ò®" => "Ò¯",
	"Ò¬" => "Ò­",	"Òª" => "Ò«",	"Ò¨" => "Ò©",
	"Ò¦" => "Ò§",	"Ò¤" => "Ò¥",	"Ò¢" => "Ò£",
	"Ò " => "Ò¡",	"Òž" => "ÒŸ",	"Òœ" => "Ò",
	"Òš" => "Ò›",	"Ò˜" => "Ò™",	"Ò–" => "Ò—",
	"Ò”" => "Ò•",	"Ò’" => "Ò“",	"Ò" => "Ò‘",
	"ÒŽ" => "Ò",	"ÒŒ" => "Ò",	"ÒŠ" => "Ò‹",
	"Ò€" => "Ò",	"Ñ¾" => "Ñ¿",	"Ñ¼" => "Ñ½",
	"Ñº" => "Ñ»",	"Ñ¸" => "Ñ¹",	"Ñ¶" => "Ñ·",
	"Ñ´" => "Ñµ",	"Ñ²" => "Ñ³",	"Ñ°" => "Ñ±",
	"Ñ®" => "Ñ¯",	"Ñ¬" => "Ñ­",	"Ñª" => "Ñ«",
	"Ñ¨" => "Ñ©",	"Ñ¦" => "Ñ§",	"Ñ¤" => "Ñ¥",
	"Ñ¢" => "Ñ£",	"Ñ " => "Ñ¡",	"Ð¯" => "Ñ",
	"Ð®" => "ÑŽ",	"Ð­" => "Ñ",	"Ð¬" => "ÑŒ",
	"Ð«" => "Ñ‹",	"Ðª" => "ÑŠ",	"Ð©" => "Ñ‰",
	"Ð¨" => "Ñˆ",	"Ð§" => "Ñ‡",	"Ð¦" => "Ñ†",
	"Ð¥" => "Ñ…",	"Ð¤" => "Ñ„",	"Ð£" => "Ñƒ",
	"Ð¢" => "Ñ‚",	"Ð¡" => "Ñ",	"Ð " => "Ñ€",
	"ÐŸ" => "Ð¿",	"Ðž" => "Ð¾",	"Ð" => "Ð½",
	"Ðœ" => "Ð¼",	"Ð›" => "Ð»",	"Ðš" => "Ðº",
	"Ð™" => "Ð¹",	"Ð˜" => "Ð¸",	"Ð—" => "Ð·",
	"Ð–" => "Ð¶",	"Ð•" => "Ðµ",	"Ð”" => "Ð´",
	"Ð“" => "Ð³",	"Ð’" => "Ð²",	"Ð‘" => "Ð±",
	"Ð" => "Ð°",	"Ð" => "ÑŸ",	"ÐŽ" => "Ñž",
	"Ð" => "Ñ",	"ÐŒ" => "Ñœ",	"Ð‹" => "Ñ›",
	"ÐŠ" => "Ñš",	"Ð‰" => "Ñ™",	"Ðˆ" => "Ñ˜",
	"Ð‡" => "Ñ—",	"Ð†" => "Ñ–",	"Ð…" => "Ñ•",
	"Ð„" => "Ñ”",	"Ðƒ" => "Ñ“",	"Ð‚" => "Ñ’",
	"Ð" => "Ñ‘",	"Ð€" => "Ñ",	"Ï´" => "Î¸",
	"Ï®" => "Ï¯",	"Ï¬" => "Ï­",	"Ïª" => "Ï«",
	"Ï¨" => "Ï©",	"Ï¦" => "Ï§",	"Ï¤" => "Ï¥",
	"Ï¢" => "Ï£",	"Ï " => "Ï¡",	"Ïž" => "ÏŸ",
	"Ïœ" => "Ï",	"Ïš" => "Ï›",	"Ï˜" => "Ï™",
	"Î«" => "Ï‹",	"Îª" => "ÏŠ",	"Î©" => "Ï‰",
	"Î¨" => "Ïˆ",	"Î§" => "Ï‡",	"Î¦" => "Ï†",
	"Î¥" => "Ï…",	"Î¤" => "Ï„",	"Î£" => "Ïƒ",
	"Î¡" => "Ï",	"Î " => "Ï€",	"ÎŸ" => "Î¿",
	"Îž" => "Î¾",	"Î" => "Î½",	"Îœ" => "Î¼",
	"Î›" => "Î»",	"Îš" => "Îº",	"Î™" => "Î¹",
	"Î˜" => "Î¸",	"Î—" => "Î·",	"Î–" => "Î¶",
	"Î•" => "Îµ",	"Î”" => "Î´",	"Î“" => "Î³",
	"Î’" => "Î²",	"Î‘" => "Î±",	"Î" => "ÏŽ",
	"ÎŽ" => "Ï",	"ÎŒ" => "ÏŒ",	"ÎŠ" => "Î¯",
	"Î‰" => "Î®",	"Îˆ" => "Î­",	"Î†" => "Î¬",
	"È²" => "È³",	"È°" => "È±",	"È®" => "È¯",
	"È¬" => "È­",	"Èª" => "È«",	"È¨" => "È©",
	"È¦" => "È§",	"È¤" => "È¥",	"È¢" => "È£",
	"È " => "Æž",	"Èž" => "ÈŸ",	"Èœ" => "È",
	"Èš" => "È›",	"È˜" => "È™",	"È–" => "È—",
	"È”" => "È•",	"È’" => "È“",	"È" => "È‘",
	"ÈŽ" => "È",	"ÈŒ" => "È",	"ÈŠ" => "È‹",
	"Èˆ" => "È‰",	"È†" => "È‡",	"È„" => "È…",
	"È‚" => "Èƒ",	"È€" => "È",	"Ç¾" => "Ç¿",
	"Ç¼" => "Ç½",	"Çº" => "Ç»",	"Ç¸" => "Ç¹",
	"Ç·" => "Æ¿",	"Ç¶" => "Æ•",	"Ç´" => "Çµ",
	"Ç±" => "Ç³",	"Ç®" => "Ç¯",	"Ç¬" => "Ç­",
	"Çª" => "Ç«",	"Ç¨" => "Ç©",	"Ç¦" => "Ç§",
	"Ç¤" => "Ç¥",	"Ç¢" => "Ç£",	"Ç " => "Ç¡",
	"Çž" => "ÇŸ",	"Ç›" => "Çœ",	"Ç™" => "Çš",
	"Ç—" => "Ç˜",	"Ç•" => "Ç–",	"Ç“" => "Ç”",
	"Ç‘" => "Ç’",	"Ç" => "Ç",	"Ç" => "ÇŽ",
	"ÇŠ" => "ÇŒ",	"Ç‡" => "Ç‰",	"Ç„" => "Ç†",
	"Æ¼" => "Æ½",	"Æ¸" => "Æ¹",	"Æ·" => "Ê’",
	"Æµ" => "Æ¶",	"Æ³" => "Æ´",	"Æ²" => "Ê‹",
	"Æ±" => "ÊŠ",	"Æ¯" => "Æ°",	"Æ®" => "Êˆ",
	"Æ¬" => "Æ­",	"Æ©" => "Êƒ",	"Æ§" => "Æ¨",
	"Æ¦" => "Ê€",	"Æ¤" => "Æ¥",	"Æ¢" => "Æ£",
	"Æ " => "Æ¡",	"ÆŸ" => "Éµ",	"Æ" => "É²",
	"Æœ" => "É¯",	"Æ˜" => "Æ™",	"Æ—" => "É¨",
	"Æ–" => "É©",	"Æ”" => "É£",	"Æ“" => "É ",
	"Æ‘" => "Æ’",	"Æ" => "É›",	"Æ" => "É™",
	"ÆŽ" => "Ç",	"Æ‹" => "ÆŒ",	"ÆŠ" => "É—",
	"Æ‰" => "É–",	"Æ‡" => "Æˆ",	"Æ†" => "É”",
	"Æ„" => "Æ…",	"Æ‚" => "Æƒ",	"Æ" => "É“",
	"Å½" => "Å¾",	"Å»" => "Å¼",	"Å¹" => "Åº",
	"Å¸" => "Ã¿",	"Å¶" => "Å·",	"Å´" => "Åµ",
	"Å²" => "Å³",	"Å°" => "Å±",	"Å®" => "Å¯",
	"Å¬" => "Å­",	"Åª" => "Å«",	"Å¨" => "Å©",
	"Å¦" => "Å§",	"Å¤" => "Å¥",	"Å¢" => "Å£",
	"Å " => "Å¡",	"Åž" => "ÅŸ",	"Åœ" => "Å",
	"Åš" => "Å›",	"Å˜" => "Å™",	"Å–" => "Å—",
	"Å”" => "Å•",	"Å’" => "Å“",	"Å" => "Å‘",
	"ÅŽ" => "Å",	"ÅŒ" => "Å",	"ÅŠ" => "Å‹",
	"Å‡" => "Åˆ",	"Å…" => "Å†",	"Åƒ" => "Å„",
	"Å" => "Å‚",	"Ä¿" => "Å€",	"Ä½" => "Ä¾",
	"Ä»" => "Ä¼",	"Ä¹" => "Äº",	"Ä¶" => "Ä·",
	"Ä´" => "Äµ",	"Ä²" => "Ä³",	"Ä°" => "i",
	"Ä®" => "Ä¯",	"Ä¬" => "Ä­",	"Äª" => "Ä«",
	"Ä¨" => "Ä©",	"Ä¦" => "Ä§",	"Ä¤" => "Ä¥",
	"Ä¢" => "Ä£",	"Ä " => "Ä¡",	"Äž" => "ÄŸ",
	"Äœ" => "Ä",	"Äš" => "Ä›",	"Ä˜" => "Ä™",
	"Ä–" => "Ä—",	"Ä”" => "Ä•",	"Ä’" => "Ä“",
	"Ä" => "Ä‘",	"ÄŽ" => "Ä",	"ÄŒ" => "Ä",
	"ÄŠ" => "Ä‹",	"Äˆ" => "Ä‰",	"Ä†" => "Ä‡",
	"Ä„" => "Ä…",	"Ä‚" => "Äƒ",	"Ä€" => "Ä",
	"Ãž" => "Ã¾",	"Ã" => "Ã½",	"Ãœ" => "Ã¼",
	"Ã›" => "Ã»",	"Ãš" => "Ãº",	"Ã™" => "Ã¹",
	"Ã˜" => "Ã¸",	"Ã–" => "Ã¶",	"Ã•" => "Ãµ",
	"Ã”" => "Ã´",	"Ã“" => "Ã³",	"Ã’" => "Ã²",
	"Ã‘" => "Ã±",	"Ã" => "Ã°",	"Ã" => "Ã¯",
	"ÃŽ" => "Ã®",	"Ã" => "Ã­",	"ÃŒ" => "Ã¬",
	"Ã‹" => "Ã«",	"ÃŠ" => "Ãª",	"Ã‰" => "Ã©",
	"Ãˆ" => "Ã¨",	"Ã‡" => "Ã§",	"Ã†" => "Ã¦",
	"Ã…" => "Ã¥",	"Ã„" => "Ã¤",	"Ãƒ" => "Ã£",
	"Ã‚" => "Ã¢",	"Ã" => "Ã¡",	"Ã€" => "Ã ",
	"Z" => "z",		"Y" => "y",		"X" => "x",
	"W" => "w",		"V" => "v",		"U" => "u",
	"T" => "t",		"S" => "s",		"R" => "r",
	"Q" => "q",		"P" => "p",		"O" => "o",
	"N" => "n",		"M" => "m",		"L" => "l",
	"K" => "k",		"J" => "j",		"I" => "i",
	"H" => "h",		"G" => "g",		"F" => "f",
	"E" => "e",		"D" => "d",		"C" => "c",
	"B" => "b",		"A" => "a",
);


$UTF8_TABLES['strtoupper'] = array(
	"ï½š" => "ï¼º",	"ï½™" => "ï¼¹",	"ï½˜" => "ï¼¸",
	"ï½—" => "ï¼·",	"ï½–" => "ï¼¶",	"ï½•" => "ï¼µ",
	"ï½”" => "ï¼´",	"ï½“" => "ï¼³",	"ï½’" => "ï¼²",
	"ï½‘" => "ï¼±",	"ï½" => "ï¼°",	"ï½" => "ï¼¯",
	"ï½Ž" => "ï¼®",	"ï½" => "ï¼­",	"ï½Œ" => "ï¼¬",
	"ï½‹" => "ï¼«",	"ï½Š" => "ï¼ª",	"ï½‰" => "ï¼©",
	"ï½ˆ" => "ï¼¨",	"ï½‡" => "ï¼§",	"ï½†" => "ï¼¦",
	"ï½…" => "ï¼¥",	"ï½„" => "ï¼¤",	"ï½ƒ" => "ï¼£",
	"ï½‚" => "ï¼¢",	"ï½" => "ï¼¡",	"á¿³" => "á¿¼",
	"á¿¥" => "á¿¬",	"á¿¡" => "á¿©",	"á¿ " => "á¿¨",
	"á¿‘" => "á¿™",	"á¿" => "á¿˜",	"á¿ƒ" => "á¿Œ",
	"á¾¾" => "Î™",	"á¾³" => "á¾¼",	"á¾±" => "á¾¹",
	"á¾°" => "á¾¸",	"á¾§" => "á¾¯",	"á¾¦" => "á¾®",
	"á¾¥" => "á¾­",	"á¾¤" => "á¾¬",	"á¾£" => "á¾«",
	"á¾¢" => "á¾ª",	"á¾¡" => "á¾©",	"á¾ " => "á¾¨",
	"á¾—" => "á¾Ÿ",	"á¾–" => "á¾ž",	"á¾•" => "á¾",
	"á¾”" => "á¾œ",	"á¾“" => "á¾›",	"á¾’" => "á¾š",
	"á¾‘" => "á¾™",	"á¾" => "á¾˜",	"á¾‡" => "á¾",
	"á¾†" => "á¾Ž",	"á¾…" => "á¾",	"á¾„" => "á¾Œ",
	"á¾ƒ" => "á¾‹",	"á¾‚" => "á¾Š",	"á¾" => "á¾‰",
	"á¾€" => "á¾ˆ",	"á½½" => "á¿»",	"á½¼" => "á¿º",
	"á½»" => "á¿«",	"á½º" => "á¿ª",	"á½¹" => "á¿¹",
	"á½¸" => "á¿¸",	"á½·" => "á¿›",	"á½¶" => "á¿š",
	"á½µ" => "á¿‹",	"á½´" => "á¿Š",	"á½³" => "á¿‰",
	"á½²" => "á¿ˆ",	"á½±" => "á¾»",	"á½°" => "á¾º",
	"á½§" => "á½¯",	"á½¦" => "á½®",	"á½¥" => "á½­",
	"á½¤" => "á½¬",	"á½£" => "á½«",	"á½¢" => "á½ª",
	"á½¡" => "á½©",	"á½ " => "á½¨",	"á½—" => "á½Ÿ",
	"á½•" => "á½",	"á½“" => "á½›",	"á½‘" => "á½™",
	"á½…" => "á½",	"á½„" => "á½Œ",	"á½ƒ" => "á½‹",
	"á½‚" => "á½Š",	"á½" => "á½‰",	"á½€" => "á½ˆ",
	"á¼·" => "á¼¿",	"á¼¶" => "á¼¾",	"á¼µ" => "á¼½",
	"á¼´" => "á¼¼",	"á¼³" => "á¼»",	"á¼²" => "á¼º",
	"á¼±" => "á¼¹",	"á¼°" => "á¼¸",	"á¼§" => "á¼¯",
	"á¼¦" => "á¼®",	"á¼¥" => "á¼­",	"á¼¤" => "á¼¬",
	"á¼£" => "á¼«",	"á¼¢" => "á¼ª",	"á¼¡" => "á¼©",
	"á¼ " => "á¼¨",	"á¼•" => "á¼",	"á¼”" => "á¼œ",
	"á¼“" => "á¼›",	"á¼’" => "á¼š",	"á¼‘" => "á¼™",
	"á¼" => "á¼˜",	"á¼‡" => "á¼",	"á¼†" => "á¼Ž",
	"á¼…" => "á¼",	"á¼„" => "á¼Œ",	"á¼ƒ" => "á¼‹",
	"á¼‚" => "á¼Š",	"á¼" => "á¼‰",	"á¼€" => "á¼ˆ",
	"á»¹" => "á»¸",	"á»·" => "á»¶",	"á»µ" => "á»´",
	"á»³" => "á»²",	"á»±" => "á»°",	"á»¯" => "á»®",
	"á»­" => "á»¬",	"á»«" => "á»ª",	"á»©" => "á»¨",
	"á»§" => "á»¦",	"á»¥" => "á»¤",	"á»£" => "á»¢",
	"á»¡" => "á» ",	"á»Ÿ" => "á»ž",	"á»" => "á»œ",
	"á»›" => "á»š",	"á»™" => "á»˜",	"á»—" => "á»–",
	"á»•" => "á»”",	"á»“" => "á»’",	"á»‘" => "á»",
	"á»" => "á»Ž",	"á»" => "á»Œ",	"á»‹" => "á»Š",
	"á»‰" => "á»ˆ",	"á»‡" => "á»†",	"á»…" => "á»„",
	"á»ƒ" => "á»‚",	"á»" => "á»€",	"áº¿" => "áº¾",
	"áº½" => "áº¼",	"áº»" => "áºº",	"áº¹" => "áº¸",
	"áº·" => "áº¶",	"áºµ" => "áº´",	"áº³" => "áº²",
	"áº±" => "áº°",	"áº¯" => "áº®",	"áº­" => "áº¬",
	"áº«" => "áºª",	"áº©" => "áº¨",	"áº§" => "áº¦",
	"áº¥" => "áº¤",	"áº£" => "áº¢",	"áº¡" => "áº ",
	"áº›" => "á¹ ",	"áº•" => "áº”",	"áº“" => "áº’",
	"áº‘" => "áº",	"áº" => "áºŽ",	"áº" => "áºŒ",
	"áº‹" => "áºŠ",	"áº‰" => "áºˆ",	"áº‡" => "áº†",
	"áº…" => "áº„",	"áºƒ" => "áº‚",	"áº" => "áº€",
	"á¹¿" => "á¹¾",	"á¹½" => "á¹¼",	"á¹»" => "á¹º",
	"á¹¹" => "á¹¸",	"á¹·" => "á¹¶",	"á¹µ" => "á¹´",
	"á¹³" => "á¹²",	"á¹±" => "á¹°",	"á¹¯" => "á¹®",
	"á¹­" => "á¹¬",	"á¹«" => "á¹ª",	"á¹©" => "á¹¨",
	"á¹§" => "á¹¦",	"á¹¥" => "á¹¤",	"á¹£" => "á¹¢",
	"á¹¡" => "á¹ ",	"á¹Ÿ" => "á¹ž",	"á¹" => "á¹œ",
	"á¹›" => "á¹š",	"á¹™" => "á¹˜",	"á¹—" => "á¹–",
	"á¹•" => "á¹”",	"á¹“" => "á¹’",	"á¹‘" => "á¹",
	"á¹" => "á¹Ž",	"á¹" => "á¹Œ",	"á¹‹" => "á¹Š",
	"á¹‰" => "á¹ˆ",	"á¹‡" => "á¹†",	"á¹…" => "á¹„",
	"á¹ƒ" => "á¹‚",	"á¹" => "á¹€",	"á¸¿" => "á¸¾",
	"á¸½" => "á¸¼",	"á¸»" => "á¸º",	"á¸¹" => "á¸¸",
	"á¸·" => "á¸¶",	"á¸µ" => "á¸´",	"á¸³" => "á¸²",
	"á¸±" => "á¸°",	"á¸¯" => "á¸®",	"á¸­" => "á¸¬",
	"á¸«" => "á¸ª",	"á¸©" => "á¸¨",	"á¸§" => "á¸¦",
	"á¸¥" => "á¸¤",	"á¸£" => "á¸¢",	"á¸¡" => "á¸ ",
	"á¸Ÿ" => "á¸ž",	"á¸" => "á¸œ",	"á¸›" => "á¸š",
	"á¸™" => "á¸˜",	"á¸—" => "á¸–",	"á¸•" => "á¸”",
	"á¸“" => "á¸’",	"á¸‘" => "á¸",	"á¸" => "á¸Ž",
	"á¸" => "á¸Œ",	"á¸‹" => "á¸Š",	"á¸‰" => "á¸ˆ",
	"á¸‡" => "á¸†",	"á¸…" => "á¸„",	"á¸ƒ" => "á¸‚",
	"á¸" => "á¸€",	"Ö†" => "Õ–",	"Ö…" => "Õ•",
	"Ö„" => "Õ”",	"Öƒ" => "Õ“",	"Ö‚" => "Õ’",
	"Ö" => "Õ‘",	"Ö€" => "Õ",	"Õ¿" => "Õ",
	"Õ¾" => "ÕŽ",	"Õ½" => "Õ",	"Õ¼" => "ÕŒ",
	"Õ»" => "Õ‹",	"Õº" => "ÕŠ",	"Õ¹" => "Õ‰",
	"Õ¸" => "Õˆ",	"Õ·" => "Õ‡",	"Õ¶" => "Õ†",
	"Õµ" => "Õ…",	"Õ´" => "Õ„",	"Õ³" => "Õƒ",
	"Õ²" => "Õ‚",	"Õ±" => "Õ",	"Õ°" => "Õ€",
	"Õ¯" => "Ô¿",	"Õ®" => "Ô¾",	"Õ­" => "Ô½",
	"Õ¬" => "Ô¼",	"Õ«" => "Ô»",	"Õª" => "Ôº",
	"Õ©" => "Ô¹",	"Õ¨" => "Ô¸",	"Õ§" => "Ô·",
	"Õ¦" => "Ô¶",	"Õ¥" => "Ôµ",	"Õ¤" => "Ô´",
	"Õ£" => "Ô³",	"Õ¢" => "Ô²",	"Õ¡" => "Ô±",
	"Ô" => "ÔŽ",	"Ô" => "ÔŒ",	"Ô‹" => "ÔŠ",
	"Ô‰" => "Ôˆ",	"Ô‡" => "Ô†",	"Ô…" => "Ô„",
	"Ôƒ" => "Ô‚",	"Ô" => "Ô€",	"Ó¹" => "Ó¸",
	"Óµ" => "Ó´",	"Ó³" => "Ó²",	"Ó±" => "Ó°",
	"Ó¯" => "Ó®",	"Ó­" => "Ó¬",	"Ó«" => "Óª",
	"Ó©" => "Ó¨",	"Ó§" => "Ó¦",	"Ó¥" => "Ó¤",
	"Ó£" => "Ó¢",	"Ó¡" => "Ó ",	"ÓŸ" => "Óž",
	"Ó" => "Óœ",	"Ó›" => "Óš",	"Ó™" => "Ó˜",
	"Ó—" => "Ó–",	"Ó•" => "Ó”",	"Ó“" => "Ó’",
	"Ó‘" => "Ó",	"ÓŽ" => "Ó",	"ÓŒ" => "Ó‹",
	"ÓŠ" => "Ó‰",	"Óˆ" => "Ó‡",	"Ó†" => "Ó…",
	"Ó„" => "Óƒ",	"Ó‚" => "Ó",	"Ò¿" => "Ò¾",
	"Ò½" => "Ò¼",	"Ò»" => "Òº",	"Ò¹" => "Ò¸",
	"Ò·" => "Ò¶",	"Òµ" => "Ò´",	"Ò³" => "Ò²",
	"Ò±" => "Ò°",	"Ò¯" => "Ò®",	"Ò­" => "Ò¬",
	"Ò«" => "Òª",	"Ò©" => "Ò¨",	"Ò§" => "Ò¦",
	"Ò¥" => "Ò¤",	"Ò£" => "Ò¢",	"Ò¡" => "Ò ",
	"ÒŸ" => "Òž",	"Ò" => "Òœ",	"Ò›" => "Òš",
	"Ò™" => "Ò˜",	"Ò—" => "Ò–",	"Ò•" => "Ò”",
	"Ò“" => "Ò’",	"Ò‘" => "Ò",	"Ò" => "ÒŽ",
	"Ò" => "ÒŒ",	"Ò‹" => "ÒŠ",	"Ò" => "Ò€",
	"Ñ¿" => "Ñ¾",	"Ñ½" => "Ñ¼",	"Ñ»" => "Ñº",
	"Ñ¹" => "Ñ¸",	"Ñ·" => "Ñ¶",	"Ñµ" => "Ñ´",
	"Ñ³" => "Ñ²",	"Ñ±" => "Ñ°",	"Ñ¯" => "Ñ®",
	"Ñ­" => "Ñ¬",	"Ñ«" => "Ñª",	"Ñ©" => "Ñ¨",
	"Ñ§" => "Ñ¦",	"Ñ¥" => "Ñ¤",	"Ñ£" => "Ñ¢",
	"Ñ¡" => "Ñ ",	"ÑŸ" => "Ð",	"Ñž" => "ÐŽ",
	"Ñ" => "Ð",	"Ñœ" => "ÐŒ",	"Ñ›" => "Ð‹",
	"Ñš" => "ÐŠ",	"Ñ™" => "Ð‰",	"Ñ˜" => "Ðˆ",
	"Ñ—" => "Ð‡",	"Ñ–" => "Ð†",	"Ñ•" => "Ð…",
	"Ñ”" => "Ð„",	"Ñ“" => "Ðƒ",	"Ñ’" => "Ð‚",
	"Ñ‘" => "Ð",	"Ñ" => "Ð€",	"Ñ" => "Ð¯",
	"ÑŽ" => "Ð®",	"Ñ" => "Ð­",	"ÑŒ" => "Ð¬",
	"Ñ‹" => "Ð«",	"ÑŠ" => "Ðª",	"Ñ‰" => "Ð©",
	"Ñˆ" => "Ð¨",	"Ñ‡" => "Ð§",	"Ñ†" => "Ð¦",
	"Ñ…" => "Ð¥",	"Ñ„" => "Ð¤",	"Ñƒ" => "Ð£",
	"Ñ‚" => "Ð¢",	"Ñ" => "Ð¡",	"Ñ€" => "Ð ",
	"Ð¿" => "ÐŸ",	"Ð¾" => "Ðž",	"Ð½" => "Ð",
	"Ð¼" => "Ðœ",	"Ð»" => "Ð›",	"Ðº" => "Ðš",
	"Ð¹" => "Ð™",	"Ð¸" => "Ð˜",	"Ð·" => "Ð—",
	"Ð¶" => "Ð–",	"Ðµ" => "Ð•",	"Ð´" => "Ð”",
	"Ð³" => "Ð“",	"Ð²" => "Ð’",	"Ð±" => "Ð‘",
	"Ð°" => "Ð",	"Ïµ" => "Î•",	"Ï²" => "Î£",
	"Ï±" => "Î¡",	"Ï°" => "Îš",	"Ï¯" => "Ï®",
	"Ï­" => "Ï¬",	"Ï«" => "Ïª",	"Ï©" => "Ï¨",
	"Ï§" => "Ï¦",	"Ï¥" => "Ï¤",	"Ï£" => "Ï¢",
	"Ï¡" => "Ï ",	"ÏŸ" => "Ïž",	"Ï" => "Ïœ",
	"Ï›" => "Ïš",	"Ï™" => "Ï˜",	"Ï–" => "Î ",
	"Ï•" => "Î¦",	"Ï‘" => "Î˜",	"Ï" => "Î’",
	"ÏŽ" => "Î",	"Ï" => "ÎŽ",	"ÏŒ" => "ÎŒ",
	"Ï‹" => "Î«",	"ÏŠ" => "Îª",	"Ï‰" => "Î©",
	"Ïˆ" => "Î¨",	"Ï‡" => "Î§",	"Ï†" => "Î¦",
	"Ï…" => "Î¥",	"Ï„" => "Î¤",	"Ïƒ" => "Î£",
	"Ï‚" => "Î£",	"Ï" => "Î¡",	"Ï€" => "Î ",
	"Î¿" => "ÎŸ",	"Î¾" => "Îž",	"Î½" => "Î",
	"Î¼" => "Îœ",	"Î»" => "Î›",	"Îº" => "Îš",
	"Î¹" => "Î™",	"Î¸" => "Î˜",	"Î·" => "Î—",
	"Î¶" => "Î–",	"Îµ" => "Î•",	"Î´" => "Î”",
	"Î³" => "Î“",	"Î²" => "Î’",	"Î±" => "Î‘",
	"Î¯" => "ÎŠ",	"Î®" => "Î‰",	"Î­" => "Îˆ",
	"Î¬" => "Î†",	"Ê’" => "Æ·",	"Ê‹" => "Æ²",
	"ÊŠ" => "Æ±",	"Êˆ" => "Æ®",	"Êƒ" => "Æ©",
	"Ê€" => "Æ¦",	"Éµ" => "ÆŸ",	"É²" => "Æ",
	"É¯" => "Æœ",	"É©" => "Æ–",	"É¨" => "Æ—",
	"É£" => "Æ”",	"É " => "Æ“",	"É›" => "Æ",
	"É™" => "Æ",	"É—" => "ÆŠ",	"É–" => "Æ‰",
	"É”" => "Æ†",	"É“" => "Æ",	"È³" => "È²",
	"È±" => "È°",	"È¯" => "È®",	"È­" => "È¬",
	"È«" => "Èª",	"È©" => "È¨",	"È§" => "È¦",
	"È¥" => "È¤",	"È£" => "È¢",	"ÈŸ" => "Èž",
	"È" => "Èœ",	"È›" => "Èš",	"È™" => "È˜",
	"È—" => "È–",	"È•" => "È”",	"È“" => "È’",
	"È‘" => "È",	"È" => "ÈŽ",	"È" => "ÈŒ",
	"È‹" => "ÈŠ",	"È‰" => "Èˆ",	"È‡" => "È†",
	"È…" => "È„",	"Èƒ" => "È‚",	"È" => "È€",
	"Ç¿" => "Ç¾",	"Ç½" => "Ç¼",	"Ç»" => "Çº",
	"Ç¹" => "Ç¸",	"Çµ" => "Ç´",	"Ç³" => "Ç²",
	"Ç¯" => "Ç®",	"Ç­" => "Ç¬",	"Ç«" => "Çª",
	"Ç©" => "Ç¨",	"Ç§" => "Ç¦",	"Ç¥" => "Ç¤",
	"Ç£" => "Ç¢",	"Ç¡" => "Ç ",	"ÇŸ" => "Çž",
	"Ç" => "ÆŽ",	"Çœ" => "Ç›",	"Çš" => "Ç™",
	"Ç˜" => "Ç—",	"Ç–" => "Ç•",	"Ç”" => "Ç“",
	"Ç’" => "Ç‘",	"Ç" => "Ç",	"ÇŽ" => "Ç",
	"ÇŒ" => "Ç‹",	"Ç‰" => "Çˆ",	"Ç†" => "Ç…",
	"Æ¿" => "Ç·",	"Æ½" => "Æ¼",	"Æ¹" => "Æ¸",
	"Æ¶" => "Æµ",	"Æ´" => "Æ³",	"Æ°" => "Æ¯",
	"Æ­" => "Æ¬",	"Æ¨" => "Æ§",	"Æ¥" => "Æ¤",
	"Æ£" => "Æ¢",	"Æ¡" => "Æ ",	"Æž" => "È ",
	"Æ™" => "Æ˜",	"Æ•" => "Ç¶",	"Æ’" => "Æ‘",
	"ÆŒ" => "Æ‹",	"Æˆ" => "Æ‡",	"Æ…" => "Æ„",
	"Æƒ" => "Æ‚",	"Å¿" => "S",	"Å¾" => "Å½",
	"Å¼" => "Å»",	"Åº" => "Å¹",	"Å·" => "Å¶",
	"Åµ" => "Å´",	"Å³" => "Å²",	"Å±" => "Å°",
	"Å¯" => "Å®",	"Å­" => "Å¬",	"Å«" => "Åª",
	"Å©" => "Å¨",	"Å§" => "Å¦",	"Å¥" => "Å¤",
	"Å£" => "Å¢",	"Å¡" => "Å ",	"ÅŸ" => "Åž",
	"Å" => "Åœ",	"Å›" => "Åš",	"Å™" => "Å˜",
	"Å—" => "Å–",	"Å•" => "Å”",	"Å“" => "Å’",
	"Å‘" => "Å",	"Å" => "ÅŽ",	"Å" => "ÅŒ",
	"Å‹" => "ÅŠ",	"Åˆ" => "Å‡",	"Å†" => "Å…",
	"Å„" => "Åƒ",	"Å‚" => "Å",	"Å€" => "Ä¿",
	"Ä¾" => "Ä½",	"Ä¼" => "Ä»",	"Äº" => "Ä¹",
	"Ä·" => "Ä¶",	"Äµ" => "Ä´",	"Ä³" => "Ä²",
	"Ä±" => "I",	"Ä¯" => "Ä®",	"Ä­" => "Ä¬",
	"Ä«" => "Äª",	"Ä©" => "Ä¨",	"Ä§" => "Ä¦",
	"Ä¥" => "Ä¤",	"Ä£" => "Ä¢",	"Ä¡" => "Ä ",
	"ÄŸ" => "Äž",	"Ä" => "Äœ",	"Ä›" => "Äš",
	"Ä™" => "Ä˜",	"Ä—" => "Ä–",	"Ä•" => "Ä”",
	"Ä“" => "Ä’",	"Ä‘" => "Ä",	"Ä" => "ÄŽ",
	"Ä" => "ÄŒ",	"Ä‹" => "ÄŠ",	"Ä‰" => "Äˆ",
	"Ä‡" => "Ä†",	"Ä…" => "Ä„",	"Äƒ" => "Ä‚",
	"Ä" => "Ä€",	"Ã¿" => "Å¸",	"Ã¾" => "Ãž",
	"Ã½" => "Ã",	"Ã¼" => "Ãœ",	"Ã»" => "Ã›",
	"Ãº" => "Ãš",	"Ã¹" => "Ã™",	"Ã¸" => "Ã˜",
	"Ã¶" => "Ã–",	"Ãµ" => "Ã•",	"Ã´" => "Ã”",
	"Ã³" => "Ã“",	"Ã²" => "Ã’",	"Ã±" => "Ã‘",
	"Ã°" => "Ã",	"Ã¯" => "Ã",	"Ã®" => "ÃŽ",
	"Ã­" => "Ã",	"Ã¬" => "ÃŒ",	"Ã«" => "Ã‹",
	"Ãª" => "ÃŠ",	"Ã©" => "Ã‰",	"Ã¨" => "Ãˆ",
	"Ã§" => "Ã‡",	"Ã¦" => "Ã†",	"Ã¥" => "Ã…",
	"Ã¤" => "Ã„",	"Ã£" => "Ãƒ",	"Ã¢" => "Ã‚",
	"Ã¡" => "Ã",	"Ã " => "Ã€",	"Âµ" => "Îœ",
	"z" => "Z",		"y" => "Y",		"x" => "X",
	"w" => "W",		"v" => "V",		"u" => "U",
	"t" => "T",		"s" => "S",		"r" => "R",
	"q" => "Q",		"p" => "P",		"o" => "O",
	"n" => "N",		"m" => "M",		"l" => "L",
	"k" => "K",		"j" => "J",		"i" => "I",
	"h" => "H",		"g" => "G",		"f" => "F",
	"e" => "E",		"d" => "D",		"c" => "C",
	"b" => "B",		"a" => "A",
);

?>