<?php
/*
APPLICATION ATELIERPHP-e-signets - version 3.4	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
(isset($_SESSION['utilisateur']) and $_SESSION['utilisateur'] == $curDir)?print " ":exit();
?>
<html>
<head>
<title>e-signets version <?php echo $version ?> Choix du graphisme pour la page de liens</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<?php
$fichier = '../styles/style_number.txt';
$fp = fopen($fichier,'r');
$style =trim(fgets($fp));
fclose($fp); //on referme le fichier
echo "<blockquote>";
if (!isset($_POST['style_number'])) //variable non chargée : saisie non effectuée
{  
    echo "<h4>Choix du graphisme pour la page de liens </h4>";
    echo "<FORM ACTION=$_SERVER[PHP_SELF]  METHOD=post>";
    echo "(Pointeur actuel : $style)";
?>
    <TABLE class='form_1' cellspacing=10  >
    <tr><th colspan=3>Disposition</th><th rowspan=2 valign=middle>Couleur </th></tr>
    <tr><th>Tableau</th><th>Mixte</th><th>Menu</th></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="1a" <?php if ($style=="1a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="1b" <?php if ($style=="1b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="1c" <?php if ($style=="1c") echo 'checked' ;?></td> 
		<TD>  Style N°1 (bleu/gris)</td></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="2a" <?php if ($style=="2a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="2b" <?php if ($style=="2b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="2c" <?php if ($style=="2c") echo 'checked' ;?></td> 
		<TD>   Style N°2 (vert/rouge)</td></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="3a" <?php if ($style=="3a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="3b" <?php if ($style=="3b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="3c" <?php if ($style=="3c") echo 'checked' ;?></td> 
		<TD>  Style N°3 (violet/rose) </td></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="4a" <?php if ($style=="4a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="4b" <?php if ($style=="4b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="4c" <?php if ($style=="4c") echo 'checked' ;?></td> 
		<TD>  Style N°4 (violet/bleu)</td></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="5a" <?php if ($style=="5a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="5b" <?php if ($style=="5b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="5c" <?php if ($style=="5c") echo 'checked' ;?></td> 
		<TD> Style N°5 (vert)</td></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="6a" <?php if ($style=="6a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="6b" <?php if ($style=="6b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="6c" <?php if ($style=="6c") echo 'checked' ;?></td> 
		<TD> Style N°6 (bleu/jaune)</td></tr>
    <tr>
		<TD><input type="radio" name="style_number" value="7a" <?php if ($style=="7a") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="7b" <?php if ($style=="7b") echo 'checked' ;?></td> 
		<TD><input type="radio" name="style_number" value="7c" <?php if ($style=="7c") echo 'checked' ;?></td> 
		<TD> Style N°7 (jaune/ocre)</td></tr>
	<tr CLASS=Alt1><TD><DIV ALIGN=RIGHT><br>
    <INPUT TYPE=submit NAME=Login value=valider ></div></td></tr>
    </form>
    </TABLE>
<?php
}
else
{
	$fp = fopen($fichier,"w");
    $style_number = $_REQUEST['style_number'];
    fwrite($fp,$style_number); 
    fclose($fp); //on referme le fichier
    echo "Le style de page N° $style_number sera dorénavent appliqué";
}
require ("../pied_de_page/pied_de_page.php");
?>
</body>
</html>
